<?php
require_once "SiemensXMLElement.php";

class IppPhoneNumber extends SiemensXMLElement {

	const ImageTypePhoneType = "PHONETYPE";
	const ImageTypePictureClip = "PICTURECLIP";
	
	const NumberTypeNumber = "NUMBER";
	const NumberTypeName = "NAME";
	const NumberTypeBoth = "BOTH";
	
	private $imageType = null;
	private $numberType = null;
	private $ippPhoneNumber = null;
	
	
	public function __construct($imageType = IppPhoneNumber::ImageTypePictureClip, $numberType = IppPhoneNumber::NumberTypeName) {
		
		$attributes = array();
		$attributes["ImageType"] = $imageType;
		$attributes["NumberType"] = $numberType;
		
		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		$xw->text($this->text);
	}


	protected function name() {
		return "IppPhoneNumber";
	}
	
}